hwloc_cl_device_topology_amd(3)

NAME
hwloc_cl_device_topology_amd

SYNOPSIS

#include <opencl.h>

  Data Fields
struct {
cl_uint type
cl_uint data [5]
} raw
struct {
cl_uint type
cl_char unused [17]
cl_char bus
cl_char device
cl_char function
} pcie

Field Documentation

  cl_char hwloc_cl_device_topology_amd::bus

  cl_uint hwloc_cl_device_topology_amd::data[5]

  cl_char hwloc_cl_device_topology_amd::device

  cl_char hwloc_cl_device_topology_amd::function

  struct { ... } hwloc_cl_device_topology_amd::pcie

  struct { ... } hwloc_cl_device_topology_amd::raw

  cl_uint hwloc_cl_device_topology_amd::type

  cl_char hwloc_cl_device_topology_amd::unused[17]

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.